part of model_notifier;

/// Counter builder.
abstract class DatabaseTransactionBuilder {
  /// Add/Update an element of [id] to [collectionPath].
  ///
  /// If [linkedCollectionPath] is specified, the element of [linkId] is added.
  ///
  /// The contents of [data] will be added to the [collectionPath]/[id] path.
  ///
  /// The contents of [linkData] will be added to the [linkedCollectionPath]/[linkId] path.
  Future<void> save(
    String id, {
    String? linkId,
    DynamicMap? data,
    DynamicMap? linkData,
  });

  /// Remove an element of [id] to [collectionPath].
  ///
  /// If [linkedCollectionPath] is specified, the element of [linkId] is removed.
  Future<void> delete(String id, {String? linkId});
}
